function init(varargin)
% FUNCTION fc_simesh.init()
%   Initializes the toolbox/package .
%
% <COPYRIGHT>
  p = inputParser;
  p.addParamValue('verbose',0,@isscalar);
  p.parse(varargin{:});
  R=p.Results;
  env=fc_simesh.environment();
  if isdir(env.hypermesh_dir), addpath(env.hypermesh_dir);end
  try
    fc_hypermesh.init(varargin{:})
  catch
    fprintf('[fc-simesh] Unable to load the fc-hypermesh toolbox!\n')
    fprintf('[fc-simesh] Use fc_simesh.configure(''hypermesh_dir'',<DIR>) to correct this issue\n\n');
    error('fc-simesh::init')
  end
  if isdir(env.oogmsh_dir), addpath(env.oogmsh_dir);end
  try
    fc_oogmsh.init(varargin{:})
  catch
    fprintf('[fc-simesh] Unable to load the fc-oogmsh toolbox!\n')
    fprintf('[fc-simesh] Use fc_simesh.configure(''oogmsh_dir'',<DIR>) to correct this issue\n\n');
    error('fc-simesh::init')
  end
  
  if p.Results.verbose>0
    fprintf('Using fc-simesh toolbox [%s]:\n',fc_simesh.version());
  end
end  